# eric6.Plugins.VcsPlugins.vcsMercurial.GpgExtension.gpg

Module implementing the gpg extension interface.

### Global Attributes

None

### Classes

Gpg | Class implementing the fetch extension interface.

### Functions

None

## Gpg

Class implementing the fetch extension interface.

### Derived from

HgExtension

### Class Attributes

None

### Class Methods

None

### Methods

Gpg | Constructor
hgGpgSign | Public method used to list the available bookmarks.
hgGpgSignatures | Public method used to list all signed changesets.
hgGpgVerifySignatures | Public method used to verify the signatures of a revision.
shutdown | Public method used to shutdown the fetch interface.

### Static Methods

None

#### Gpg (Constructor)

Gpg(vcs)

Constructor

vcs
  reference to the Mercurial vcs object

#### Gpg.hgGpgSign

hgGpgSign(path, revisions=None)

Public method used to list the available bookmarks.

path (str)
  directory name of the project
revisions (list of str)
  list containing the revisions to be signed

#### Gpg.hgGpgSignatures

hgGpgSignatures(path)

Public method used to list all signed changesets.

path
  directory name of the project (string)

#### Gpg.hgGpgVerifySignatures

hgGpgVerifySignatures(path, rev=None)

Public method used to verify the signatures of a revision.

path
  directory name of the project (string)
rev
  revision to check (string)

#### Gpg.shutdown

shutdown()

Public method used to shutdown the fetch interface.

Up